## jigzo 0.6.1

=== Makefile ===
#ARCH = MACOSX
ARCH = LINUX
#ARCH = MINGW32

PREFIX ?= /usr/local

ifeq "$(ARCH)" "MINGW32"
include makeinclude.mingw32
ARCH_OK = yes
endif

ifeq "$(ARCH)" "LINUX"
include makeinclude.linux
ARCH_OK = yes
endif

ifeq "$(ARCH)" "MACOSX"
include makeinclude.macosx
ARCH_OK = yes
endif

ifeq "$(ARCH_OK)" "yes"
#
# The given ARCH is correct
#

#
# Variables
#

CXXFLAGS = -g $(ARCHCXXFLAGS) -DENABLE_SOUND
LDFLAGS = -O2 $(ARCHLDFLAGS)

#
# List of all source files.
#
# Architecture-dependend files as defined in the makeinclude files are added
# automatically.
#
SOURCES = \
src/Loader.cxx \
src/Screen.cxx \
src/Texture.cxx \
src/main.cxx \
$(ARCHSOURCES)

# 
# The objects are named like the source files, but instead of in directory
# src/, they are placed in directory obj/, and the architecture gets added
# to the name, e.g. obj/main.LINUX.o 
#
OBJECTS=$(addsuffix .$(ARCH).o,$(basename $(subst src/,obj/,$(SOURCES))))

# 
# The dependency files are named like the source files, but instead of in
# directory src/, they are placed in directory obj/, and the architecture
# gets added to the name, e.g. dep/main.LINUX.d 
#
DEPENDS=$(addsuffix .$(ARCH).d,$(basename $(subst src/,dep/,$(SOURCES))))

#
# We need to create the directories for object and dependency files
# automatically. The following variables are lists of dummy files,
# one for each directory, and are used to in the rule to create the
# directories.
#
OBJECTDIRS=$(addsuffix .dir,$(sort $(dir $(OBJECTS))))
DEPENDDIRS=$(addsuffix .dir,$(sort $(dir $(DEPENDS))))

# 
# Targets / Rules
# 

#
# First target, depends on the target that builds the application
#
all: $(APP) README

#
# Targets / rules to make sure the directories for the object and
# dependency files exist.
#
.PRECIOUS: $(OBJECTDIRS) $(DEPENDDIRS)

%.dir:
	@mkdir $(dir $@)
	@touch $@

#
# Include the dependencies, but only if we are not doing a
# make clean or make depend
#
ifneq "$(MAKECMDGOALS)" "clean"
ifneq "$(MAKECMDGOALS)" "depend"
ifneq "$(MAKECMDGOALS)" ".depend"
-include $(DEPENDS)
endif
endif
endif

#
# Rule to build the application executable
#
$(APP): $(OBJECTS) $(ARCHAPPREQ)
	$(CXX) $(OBJECTS) $(CXXFLAGS) $(LDFLAGS) -o $@

#
# MacOSX applications go into a bundle. The rule creates
# the bundle directory structure and populates it
#
macosx_app: Info.plist
	mkdir -p jigzo.app/Contents/MacOS/
	mkdir -p jigzo.app/Contents/Resources/
	cp Info.plist jigzo.app/Contents/

#
# Compilation rules
#
obj/%.$(ARCH).o: src/%.c $(OBJECTDIRS)
	@echo Compiling $<
	$(CC) $(CXXFLAGS) -Wall -Weffc++ -c $< -o $@

obj/%.$(ARCH).o: src/%.cxx $(OBJECTDIRS)
	@echo Compiling $<
	$(CXX) $(CXXFLAGS) -Wall -c $< -o $@

obj/%.$(ARCH).o: src/%.cpp $(OBJECTDIRS)
	@echo Compiling $<
	$(CXX) $(CXXFLAGS) -Wall -c $< -o $@

#
# Dependency rules
#
dep/%.$(ARCH).d: src/%.c $(DEPENDDIRS)
	@echo Generating dependency information for $<
	$(CXX) -MM -MT $@ $(CXXFLAGS) $< -o $@.tmp
	@(cat $@.tmp ; cat $@.tmp | sed s/^dep/obj/ | sed s/\.d:/.o:/ ) > $@
	@rm $@.tmp

dep/%.$(ARCH).d: src/%.cxx $(DEPENDDIRS)
	@echo Generating dependency information for $<
	$(CXX) -MM -MT $@ $(CXXFLAGS) $< -o $@.tmp
	@(cat $@.tmp ; cat $@.tmp | sed s/^dep/obj/ | sed s/\.d:/.o:/ ) > $@
	@rm $@.tmp

dep/%.$(ARCH).d: src/%.cpp $(DEPENDDIRS)
	@echo Generating dependency information for $<
	$(CXX) -MM -MT $@ $(CXXFLAGS) $< -o $@.tmp
	@(cat $@.tmp ; cat $@.tmp | sed s/^dep/obj/ | sed s/\.d:/.o:/ ) > $@
	@rm $@.tmp

#
# Rules to force a rebuild of all dependency information
#
depend:
	@rm -f $(DEPENDS)
	@make ARCH=$(ARCH) .depend

.depend: $(DEPENDS)

#
# Rule to clean all generated files (objects, dependencies, executable)
#
clean:
	rm -rf obj/ dep/ $(APP) 

ifeq "$(ARCH)" "LINUX"

install: jigzo
	@echo Installing in $(PREFIX)
	rm -rf "$(PREFIX)/lib/jigzo/"
	mkdir -p "$(PREFIX)/lib/jigzo/"
	cp -r font image sound puzzles "$(PREFIX)/lib/jigzo/"
	cp jigzo $(PREFIX)/lib/jigzo/jigzo.bin
	echo -e '#!/bin/sh\n$(PREFIX)/lib/jigzo/jigzo.bin $$*\n' > $(PREFIX)/bin/jigzo
	chmod +x $(PREFIX)/bin/$(APP)

endif

#
# Rules end here
#
else
#
# The given ARCH is incorrect or missing
#

all: .DEFAULT

clean:
	rm -rf obj/ dep/ $(APP) 

.DEFAULT:
ifeq "$(ARCH)" ""
	@echo '#################################################################'
	@echo 'ARCH not defined. Use make ARCH=[ LINUX | MACOSX | MINGW32 ]'
	@echo 'or set the environment variable'
	@echo '#################################################################'
else
	@echo '#################################################################'
	@echo 'ARCH $(ARCH) invalid. Use make ARCH=[ LINUX | MACOSX | MINGW32 ]'
	@echo 'or set the environment variable'
	@echo '#################################################################'
endif

endif

README: index.html
	lynx -dump index.html | sed 's/^          *//' | sed 's/^   \([^ ]\)/      \1/g' | sed 's/\[[0123456789]\]//' | grep -v References | grep -v '^  *.\. ....://' > README


###### DISTRIBUTABLE_UNTIL_HERE ######

=== debian/changelog ===
jigzo (0.6.1-6) unstable; urgency=low

  * Bump Standards-Version to 3.9.3.
  * Fix FTBFS with GCC-4.7 : add patch 05_gcc_4_7.patch
    +Thanks to Paul Tagliamonte <tag@pault.ag>. (Closes: #667216)
  * Fix FTBFS with libpng 1.5 :add patch 06_libpng_1_5.patch
    +Thanks to Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Closes: #649839)
  * Change Build-Depends from libpng12-dev to libpng-dev.
    +Thanks to Nobuhiro Iwamatsu <iwamatsu@debian.org>. (Closes: #662382)
  * debian/copyright update format as in Debian Policy 3.9.3.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sat, 28 Apr 2012 13:14:44 -0500

jigzo (0.6.1-5) unstable; urgency=low

  * Bump Standards-Version to 3.9.2.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump debhelper build-dep and compat to 8.
  * jigzo-data now Replaces: jigzo (<= 0.6.1-2). (Closes: #558190)
  * Updated Build-Depends on libjpeg-dev 
    instead of libjpeg62-dev. (Closes: #634034) 
  * debian/copyright under DEP-5 format.
  * debian/patches under DEP-3 format.
  * debian/jigzo.6 fixed spelling error in manpage.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 21 Jul 2011 16:32:49 -0500

jigzo (0.6.1-4) unstable; urgency=low

  * Fixed Fails to start with cannot open 
    /usr/share/games/jigzo/font/charmap.png 
    +Thanks to Dmitry Semyonov (Closes: #549515).
  * Updated Standards-Version to  3.8.3.
  * Corrected some lintian warnings:
    +Added README.source pointing to quilt's README.source.gz.
    +Added a description to the 01_paths, 03_gcc_4_3 
     and 04_any_resolution patchs.
    +Removed deprecated "Encoding" field from jigzo.desktop.
    +Added a extended-description (debian/control).

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 07 Oct 2009 17:36:40 -0500

jigzo (0.6.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix previous incomplete upload. 

 -- Maximiliano Curia <maxy@debian.org>  Sun, 26 Jul 2009 15:09:06 -0300

jigzo (0.6.1-3) unstable; urgency=low

  * debian/watch: Updated.
  * Rewrote the build system with debhelper and quilt.
  * Menu icon updated.
  * Use the quilt system patch.
  * Made two packages: jigzo and jigzo-data.
  * debian/control: Updated Standards-Version to 3.8.2.
  * debian/jigzo.6: Updated.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 24 Jun 2009 19:48:13 -0500

jigzo (0.6.1-2) unstable; urgency=low

  * New maintainer.  Closes: #497241.
  * debian/install, debian/patches/01_paths.diff: Updated.
    Moving from usr/share/jigzo/ to usr/share/games/jigzo/.
  * debian/jigzo.6, debian/jigzo.manpages: Added.
  * debian/patches/03_gcc_4_3.diff: Updated.
  * debian/patches/04_any_resolution.diff: Added.
    Patch by Miriam Ruiz <little_miry@yahoo.es>, thanks.
  * debian/watch: Updated.
  
 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 09 Feb 2009 22:27:31 -0500

jigzo (0.6.1-1) unstable; urgency=low

  * New upstream release, renamed.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@debian.org>  Sun, 28 Dec 2008 16:42:03 +0100

glpuzzle (0.2-2) unstable; urgency=low

  * debian/patches/03_gcc_4_3.diff: Added.  Closes: #420882.

 -- Bart Martens <bartm@knars.be>  Fri, 27 Apr 2007 00:27:13 +0200

glpuzzle (0.2-1) unstable; urgency=low

  * Initial release.  Closes: #409499.

 -- Bart Martens <bartm@knars.be>  Sun, 11 Mar 2007 14:41:35 +0100

=== debian/control ===
Source: jigzo
Section: games
Priority: optional
Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
Build-Depends: debhelper (>= 8.0.0), libjpeg-dev, libpng-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.3
Homepage: http://www.resorama.com/jigzo/

Package: jigzo
Architecture: any
Depends: jigzo-data (=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: glpuzzle
Replaces: glpuzzle
Conflicts: glpuzzle
Description: Photo puzzle game for children
 jigzo (formerly glpuzzle) is a jigsaw puzzle game. Choose from 12 puzzles of
 increasing difficult. The difficulty ranges from 4 to 25 puzzle pieces. This
 game requires a OpenGl hardware acceleration.
 
Package: jigzo-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: jigzo (<= 0.6.1-2)
Replaces: jigzo (<= 0.6.1-2)
Description: data of Photo puzzle game for children
 jigzo (formerly glpuzzle) is a jigsaw puzzle game. Choose from 12 puzzles of
 increasing difficult. The difficulty ranges from 4 to 25 puzzle pieces. This
 game requires a OpenGl hardware acceleration.
 .
 This package includes the data of the game: images, sound, icon, font.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) clean

override_dh_auto_install:
